Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.model.textproperties
Class TextProp

    java.lang.Object
      org.apache.poi.hslf.model.textproperties.TextProp

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  AlignmentTextProp, BitMaskTextProp

    public class TextProp

extends java.lang.Object
implements java.lang.Cloneable

Definition of a property of some text, or its paragraph. Defines how to find out if it's present (via the mask on the paragraph or character "contains" header field), how long the value of it is, and how to get and set the value. As the exact form of these (such as mask value, size of data block etc) is different for StyleTextProps and TxMasterTextProps, the definitions of the standard TextProps is stored in the different record classes

Constructor Summary
`TextProp(int sizeOfDataBlock, int maskInHeader, java.lang.String propName)` Generate the definition of a given type of text property.

Method Summary
`java.lang.Object` | `clone()` Clone, eg when you want to actually make use of one of these.
`int` | `getMask()` Mask in the paragraph or character "contains" header field that indicates that this text property is present.
`java.lang.String` | `getName()` Name of the text property
`int` | `getSize()` Size of the data section of the text property (2 or 4 bytes)
`int` | `getValue()` Fetch the value of the text property (meaning is specific to each different kind of text property)
`int` | `getWriteMask()` Get the mask that's used at write time.
`void` | `setValue(int val)` Set the value of the text property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextProp

    public TextProp(int sizeOfDataBlock,
                    int maskInHeader,
                    java.lang.String propName)

  Generate the definition of a given type of text property.

Method Detail

### getName

    public java.lang.String getName()

  Name of the text property

### getSize

    public int getSize()

  Size of the data section of the text property (2 or 4 bytes)

### getMask

    public int getMask()

  Mask in the paragraph or character "contains" header field that indicates that this text property is present.

### getWriteMask

    public int getWriteMask()

  Get the mask that's used at write time. Only differs from the result of getMask() for the mask based properties

### getValue

    public int getValue()

  Fetch the value of the text property (meaning is specific to each different kind of text property)

### setValue

    public void setValue(int val)

  Set the value of the text property.

### clone

    public java.lang.Object clone()

  Clone, eg when you want to actually make use of one of these.

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD